Package: php-symfony-security-acl / 3.0.4-1

Add-doctrine-common-to-suggested-packages.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
From: DavidPrevot <david@tilapin.org>
Date: Sun, 5 Aug 2018 15:16:40 +0800
Subject: Add doctrine/common to suggested packages
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

doctrine/common used to be a doctrine/dbal dependency, but that’s not
true anymore as of version 2.8.0 of doctrine/dbal. Yet, there are some
"use Doctrine\Common\…" in Domain/Acl.php and other places.

Forwarded: https://github.com/symfony/security-acl/pull/41
Bug-Debian: https://bugs.debian.org/905426
---
 composer.json | 1 +
 1 file changed, 1 insertion(+)

diff --git a/composer.json b/composer.json
index 84450f6..188f044 100644
--- a/composer.json
+++ b/composer.json
@@ -28,6 +28,7 @@
     "suggest": {
         "symfony/class-loader": "For using the ACL generateSql script",
         "symfony/finder": "For using the ACL generateSql script",
+        "doctrine/common": "For using the built-in ACL implementation",
         "doctrine/dbal": "For using the built-in ACL implementation"
     },
     "autoload": {